/*
 * *************************************************
 * Copyright (c) 2018 QMTH. All Rights Reserved.
 * Created by Deason on 2018-07-31 13:38:37.
 * *************************************************
 */

package cn.com.qmth.examcloud.app.model;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: fengdesheng
 * @since: 2018/7/16
 */
public class User implements Serializable {
    private static final long serialVersionUID = 8766713125414955078L;

    /**
     * 全局唯一标识符
     */
    private String key;

    /**
     * 用户类型
     */
    private String userType;

    /**
     * 用户ID
     */
    private Long userId;

    /**
     * 显示名
     */
    private String displayName;

    /**
     * 顶级机构ID
     */
    private Long rootOrgId;

    /**
     * 顶级机构(学校)名称
     */
    private String rootOrgName;

    /**
     * 学习中心ID
     */
    private Long orgId;

    /**
     * 学习中心名称
     */
    private String orgName;

    /**
     * 鉴权token
     */
    private String token;

    /**
     * 鉴权token创建时间
     */
    private Date tokenCreationTime;

    /**
     * 学号
     */
    private String studentCode;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 身份证号
     */
    private String identityNumber;

    /**
     * 由 key+":"+token 拼接
     */
    private String userToken;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getUserType() {
        return userType;
    }

    public void setUserType(String userType) {
        this.userType = userType;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public String getRootOrgName() {
        return rootOrgName;
    }

    public void setRootOrgName(String rootOrgName) {
        this.rootOrgName = rootOrgName;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public Date getTokenCreationTime() {
        return tokenCreationTime;
    }

    public void setTokenCreationTime(Date tokenCreationTime) {
        this.tokenCreationTime = tokenCreationTime;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getUserToken() {
        return userToken;
    }

    public void setUserToken(String userToken) {
        this.userToken = userToken;
    }

}